QStoredDrag(3qt)

NAME
QStoredDrag - Simple stored-value drag object for arbitrary MIME data

SYNOPSIS

#include <qdragobject.h>

Inherits QDragObject.

Inherited by QTextDrag and QUrlDrag.

  Public Members
QStoredDrag ( const char * mimeType, QWidget * dragSource = 0, const char * name = 0 )
~QStoredDrag ()
void setEncodedData ( const QByteArray & )
virtual const char* format ( int i ) const
virtual QByteArray encodedData ( const char * ) const

DESCRIPTION
Simple stored-value drag object for arbitrary MIME data.

When a block of data only has one representation, you can use a QStoredDrag to hold it.

For detailed information about drag-and-drop, see the QDragObject class.

MEMBER FUNCTION DOCUMENTATION

QStoredDrag::QStoredDrag ( const char * mimeType, QWidget * dragSource = 0, const char * name = 0 )
Constructs a QStoredDrag. The parameters are passed to the QDragObject constructor, and the format is set to mimeType.

The data will be unset. Use setEncodedData() to set it.

QStoredDrag::~QStoredDrag ()
Destroys the drag object and frees all allocated resources.

QByteArray QStoredDrag::encodedData ( const char * m ) const [virtual]
Returns the stored data.

See also: setEncodedData().

void QStoredDrag::setEncodedData ( const QByteArray & encodedData )
Sets the encoded data of this drag object to encodedData. The encoded data is what's delivered to the drop sites, and must be in a strictly defined and portable format.

The drag object can't be dropped (by the user) until this function has been called.

SEE ALSO
http://www.troll.no/qt/qstoreddrag.html

COPYRIGHT
Copyright 1992-1997 Troll Tech AS. See the LICENSE file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.